# $Revision: 1.91 $, $Date: 2011/07/28 11:16:50 $
# TODO:
#	- service is too quiet with PULSEAUDIO_SYSTEM_START=0
#
# Conditional build:
%bcond_with	gdbm		# use gdbm as backend for settings database
				# see https://tango.0pointer.de/pipermail/pulseaudio-discuss/2009-May/003761.html
				# thread, why it's a bad idea
%bcond_with	hal		# if you really must, HAL is obsolete, use UDEV
%bcond_without	lirc		# without lirc module
%bcond_with	static_libs	# build static libraries
#
Summary:	Modular sound server
Summary(pl.UTF-8):	Modularny serwer dźwięku
Name:		pulseaudio
Version:	0.9.23
Release:	2
License:	GPL v2+ (server and libpulsecore), LGPL v2+ (libpulse)
Group:		Libraries
Source0:	http://freedesktop.org/software/pulseaudio/releases/%{name}-%{version}.tar.gz
# Source0-md5:	7391205a337d1e04a9ff38025f684034
Source1:	%{name}.init
Source2:	%{name}.sysconfig
Patch0:		%{name}-suid.patch
Patch1:		%{name}-pa-machine-id.patch
URL:		http://pulseaudio.org/
BuildRequires:	GConf2-devel >= 2.4.0
BuildRequires:	alsa-lib-devel >= 1.0.19
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	avahi-devel >= 0.6.0
BuildRequires:	bluez-libs-devel >= 3.0
BuildRequires:	dbus-devel >= 1.0.0
BuildRequires:	gcc >= 6:4.1
%{?with_gdbm:BuildRequires:	gdbm-devel}
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.4.0
BuildRequires:	gtk+2-devel >= 2:2.4.0
%{?with_hal:BuildRequires:	hal-devel >= 0.5.11}
BuildRequires:	intltool >= 0.35.0
BuildRequires:	jack-audio-connection-kit-devel >= 0.100
BuildRequires:	libasyncns-devel >= 0.1
BuildRequires:	libcap-devel
BuildRequires:	libltdl-devel
BuildRequires:	libsamplerate-devel >= 0.1.0
BuildRequires:	libsndfile-devel >= 1.0.20
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libwrap-devel
BuildRequires:	libxcb-devel >= 1.6
%{?with_lirc:BuildRequires:	lirc-devel}
BuildRequires:	m4
# for module-roap
BuildRequires:	openssl-devel > 0.9
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.228
BuildRequires:	speex-devel >= 1:1.2-beta3
BuildRequires:	udev-devel >= 143
BuildRequires:	xorg-lib-libSM-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXtst-devel
Requires:	%{name}-libs = %{version}-%{release}
Obsoletes:	polypaudio
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		filterout_ld	-Wl,--as-needed

%description
PulseAudio (previously known as PolypAudio) is a sound server for
POSIX and Win32 operating systems. It allows you to do advanced
operations on your sound data as it passes between your application
and your hardware. Things like transferring the audio to a different
machine, changing the sample format or channel count and mixing
several sounds into one are easily achieved using a sound server.

%description -l pl.UTF-8
PulseAudio (poprzednio znany jako PolypAudio) to serwer dźwięku dla
systemów operacyjnych zgodnych z POSIX oraz Win32. Pozwala na
wykonywanie zaawansowanych operacji na danych dźwiękowych
przekazywanych między aplikacjami a sprzętem. Przy użyciu tego serwera
można łatwo osiągnąć takie rzeczy jak przesyłanie dźwięku na inną
maszynę, zmiana formatu próbek czy liczby kanałów oraz miksowanie
kilku dźwięków w jeden.

%package server
Summary:	Init scripts to run PA as system-wide daemon
Summary(pl.UTF-8):	Skrypty startowe do uruchamiania PA jako usługi systemowej
Group:		Daemons
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires(pre):	fileutils
Requires:	%{name} = %{version}-%{release}
Provides:	group(pulse)
Provides:	group(pulse-access)
Provides:	user(pulse)
Obsoletes:	pulseaudio-standalone
Conflicts:	pulseaudio < 0.9.21-5

%description server
Init scripts to run PA as system-wide daemon.

You don't want it, if you're not making an embedded system.

%description server -l pl.UTF-8
Skrypty startowe do uruchamiania PA jako usługi systemowej.

Nie chcesz tego o ile nie robisz systemu wbudowanego.

%package libs
Summary:	PulseAudio libraries
Summary(pl.UTF-8):	Biblioteki PulseAudio
Group:		Libraries
Requires:	glib2 >= 1:2.4.0
Requires:	libasyncns >= 0.1
Requires:	libsamplerate >= 0.1.0
Requires:	libsndfile >= 1.0.20
Obsoletes:	polypaudio-libs
Conflicts:	polypaudio < 0.7-4

%description libs
PulseAudio libraries.

%description libs -l pl.UTF-8
Biblioteki PulseAudio.

%package devel
Summary:	Development files for PulseAudio libraries
Summary(pl.UTF-8):	Pliki programistyczne bibliotek PulseAudio
License:	GPL v2+ (libpulsecore), LGPL v2+ (libpulse)
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	glib2-devel >= 1:2.4.0
Requires:	libasyncns-devel >= 0.1
Requires:	libcap-devel
Requires:	xorg-lib-libX11-devel
Obsoletes:	polypaudio-devel

%description devel
Development files for PulseAudio libraries.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek PulseAudio.

%package static
Summary:	Static PulseAudio libraries
Summary(pl.UTF-8):	Statyczne biblioteki PulseAudio
License:	GPL v2+ (libpulsecore), LGPL v2+ (libpulse)
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	polypaudio-static

%description static
Static PulseAudio libraries.

%description static -l pl.UTF-8
Statyczne biblioteki PulseAudio.

%package -n vala-libpulse
Summary:	PulseAudio API for Vala language
Summary(pl.UTF-8):	API PulseAudio dla języka Vala
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description -n vala-libpulse
PulseAudio API for Vala language.

%description -n vala-libpulse -l pl.UTF-8
API PulseAudio dla języka Vala.

%package esound-compat
Summary:	EsounD compatibility start script
Summary(pl.UTF-8):	Skrypt uruchamiający kompatybilny z EsounD
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Conflicts:	esound

%description esound-compat
EsounD compatibility start script, which allows to run pulseaudio
daemon using "esd" command.

NOTE: it ignores all command-line options!

%description esound-compat -l pl.UTF-8
Skrypt uruchamiający kompatybilny z EsounD, pozwalający na
uruchamianie demona pulseaudio przy użyciu polecenia "esd".

UWAGA: ignoruje wszystkie opcje z linii poleceń!

%package alsa
Summary:	ALSA modules for PulseAudio
Summary(pl.UTF-8):	Moduły ALSA dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib >= 1.0.19
Obsoletes:	polypaudio-alsa

%description alsa
ALSA modules for PulseAudio.

%description alsa -l pl.UTF-8
Moduły ALSA dla PulseAudio.

%package -n udev-pulseaudio-alsa
Summary:	UDEV rules for PulseAudio ALSA mixer
Summary(pl.UTF-8):	Reguły UDEV dla miksera ALSA systemu PulseAudio
Group:		Applications/Sound
Requires:	%{name}-alsa = %{version}-%{release}
Requires:	udev-core >= 143

%description -n udev-pulseaudio-alsa
UDEV rules for PulseAudio ALSA mixer. They help to choose profile
depending on hardware.

%description -n udev-pulseaudio-alsa -l pl.UTF-8
Reguły UDEV dla miksera ALSA systemu PulseAudio. Pomagają wybrać
profil w zależności od sprzętu.

%package bluetooth
Summary:	Bluetooth module for PulseAudio
Summary(pl.UTF-8):	Moduł Bluetooth dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	bluez-libs >= 3.0

%description bluetooth
Bluetooth module for PulseAudio.

%description bluetooth -l pl.UTF-8
Moduł Bluetooth dla PulseAudio.

%package gconf
Summary:	GConf module for PulseAudio
Summary(pl.UTF-8):	Moduł GConf dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	GConf2 >= 2.4.0
Suggests:	gnome-media-volume-control

%description gconf
GConf adapter for PulseAudio.

%description gconf -l pl.UTF-8
Interfejs do GConfa dla PulseAudio.

%package hal
Summary:	HAL module for PulseAudio
Summary(pl.UTF-8):	Moduł HAL dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}

%description hal
HAL module for PulseAudio to detect available audio hardware and load
matching drivers.

%description hal -l pl.UTF-8
Moduł HAL dla PulseAudio wykrywający dostępny sprzęt dźwiękowy i
wczytujący pasujące sterowniki.

%package jack
Summary:	JACK modules for PulseAudio
Summary(pl.UTF-8):	Moduły JACK dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	jack-audio-connection-kit >= 0.100
Obsoletes:	polypaudio-jack

%description jack
JACK modules for PulseAudio.

%description jack -l pl.UTF-8
Moduły JACK dla PulseAudio.

%package lirc
Summary:	LIRC module for PulseAudio
Summary(pl.UTF-8):	Moduł LIRC dla PulseAudio
License:	GPL v2+
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	polypaudio-lirc

%description lirc
LIRC module for PulseAudio.

%description lirc -l pl.UTF-8
Moduł LIRC dla PulseAudio.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?with_hal:en}%{!?with_hal:dis}able-hal \
	--%{!?with_hal:en}%{?with_hal:dis}able-hal-compat \
	%{!?with_lirc:--disable-lirc} \
	--disable-silent-rules \
	--%{?with_static_libs:en}%{!?with_static_libs:dis}able-static \
	--with-database=%{?with_gdbm:gdbm}%{!?with_gdbm:simple} \
	--with-access-group=pulse-access \
	--with-system-user=pulse \
	--with-system-group=pulse
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/var/run/pulse

# libsocket-util.so and libipacl.so are relinked before libpulsecore.so
# so __make -jN install leads to "File not found by glob" (or they links
# with libpulsecore installed on builder)
%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

ln -sf %{_bindir}/esdcompat $RPM_BUILD_ROOT%{_bindir}/esd

# pkgconfig files exist, assume them sufficient
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
# .la for libpulsedsp and modules are killed in am install-exec-hook

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/%{name}
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%triggerpostun -- polypaudio
if [ -f %{_sysconfdir}/polypaudio/daemon.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/pulse/daemon.conf %{_sysconfdir}/pulse/daemon.conf.rpmnew
	mv -f %{_sysconfdir}/polypaudio/daemon.conf.rpmsave %{_sysconfdir}/pulse/daemon.conf
fi
if [ -f %{_sysconfdir}/polypaudio/default.pa.rpmsave ]; then
	mv -f %{_sysconfdir}/pulse/default.pa %{_sysconfdir}/pulse/default.pa.rpmnew
	mv -f %{_sysconfdir}/polypaudio/default.pa.rpmsave %{_sysconfdir}/pulse/default.pa
fi

%triggerpostun -- pulseaudio < 0.9.21-4
%groupremove pulse-rt

%pre server
%groupadd -g 226 pulse
%groupadd -g 228 pulse-access
%useradd -u 226 -g 226 -d /var/run/pulse -s /bin/false -c "Pulseaudio user" pulse

%post server
/sbin/chkconfig --add %{name}
%service %{name} restart

%preun server
if [ "$1" = "0" ]; then
	%service -q %{name} stop
	/sbin/chkconfig --del %{name}
fi

%postun server
if [ "$1" = "0" ]; then
	%userremove pulse
	%groupremove pulse-access
	%groupremove pulse
fi

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%triggerpostun libs -- polypaudio-libs
if [ -f %{_sysconfdir}/polypaudio/client.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/pulse/client.conf %{_sysconfdir}/pulse/client.conf.rpmnew
	mv -f %{_sysconfdir}/polypaudio/client.conf.rpmsave %{_sysconfdir}/pulse/client.conf
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc LICENSE README
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/daemon.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/default.pa
%{_sysconfdir}/xdg/autostart/pulseaudio.desktop
%{_sysconfdir}/xdg/autostart/pulseaudio-kde.desktop
%attr(755,root,root) %{_bindir}/pabrowse
%attr(755,root,root) %{_bindir}/pacat
%attr(755,root,root) %{_bindir}/pacmd
%attr(755,root,root) %{_bindir}/pactl
%attr(755,root,root) %{_bindir}/padsp
%attr(755,root,root) %{_bindir}/pamon
%attr(755,root,root) %{_bindir}/paplay
%attr(755,root,root) %{_bindir}/parec
%attr(755,root,root) %{_bindir}/parecord
%attr(755,root,root) %{_bindir}/pasuspender
%attr(755,root,root) %{_bindir}/pax11publish
%attr(755,root,root) %{_bindir}/pulseaudio
%attr(755,root,root) %{_bindir}/start-pulseaudio-kde
%attr(755,root,root) %{_bindir}/start-pulseaudio-x11
%dir %{_libdir}/pulse
%dir %{_libdir}/pulse-*
%dir %{_libdir}/pulse-*/modules
%attr(755,root,root) %{_libdir}/pulse-*/modules/libavahi-wrap.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libcli.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/liboss-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-cli.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-esound.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-http.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-native.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libprotocol-simple.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libraop.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/librtp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-always-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-augment-properties.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-card-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-cli.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-cli-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-cli-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-console-kit.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-combine.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-cork-music-on-phone.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-default-device-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-detect.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-device-manager.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-device-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-echo-cancel.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-compat-spawnfd.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-compat-spawnpid.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-esound-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-http-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-http-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-intended-roles.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-ladspa-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-loopback.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-match.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-mmkbd-evdev.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-native-protocol-fd.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-native-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-native-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-null-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-oss.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-pipe-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-pipe-source.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-position-event-sounds.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-remap-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-rescue-streams.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-raop-discover.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-raop-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-rtp-recv.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-rtp-send.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-rygel-media-server.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-simple-protocol-tcp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-simple-protocol-unix.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-sine.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-sine-source.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-stream-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-suspend-on-idle.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-tunnel-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-tunnel-source.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-udev-detect.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-volume-restore.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-x11-bell.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-x11-cork-request.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-x11-publish.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-x11-xsmp.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-zeroconf-discover.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-zeroconf-publish.so
%{_mandir}/man1/pabrowse.1*
%{_mandir}/man1/pacat.1*
%{_mandir}/man1/pacmd.1*
%{_mandir}/man1/pactl.1*
%{_mandir}/man1/padsp.1*
%{_mandir}/man1/paplay.1*
%{_mandir}/man1/pasuspender.1*
%{_mandir}/man1/pax11publish.1*
%{_mandir}/man1/pulseaudio.1*
%{_mandir}/man5/default.pa.5*
%{_mandir}/man5/pulse-client.conf.5*
%{_mandir}/man5/pulse-daemon.conf.5*

%files server
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/system.pa
%attr(754,root,root) /etc/rc.d/init.d/%{name}
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir %attr(750,pulse,pulse-access) /var/run/pulse
/etc/dbus-1/system.d/pulseaudio-system.conf

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpulse.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulse-browse.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulse-mainloop-glib.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulse-simple.so.*.*.*
%attr(755,root,root) %{_libdir}/libpulsecommon-%{version}.so
%attr(755,root,root) %{_libdir}/libpulsecore-%{version}.so
%attr(755,root,root) %ghost %{_libdir}/libpulse.so.0
%attr(755,root,root) %ghost %{_libdir}/libpulse-browse.so.0
%attr(755,root,root) %ghost %{_libdir}/libpulse-mainloop-glib.so.0
%attr(755,root,root) %ghost %{_libdir}/libpulse-simple.so.0
%attr(755,root,root) %{_libdir}/libpulsedsp.so
%dir %{_sysconfdir}/pulse
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/pulse/client.conf
%dir %{_datadir}/pulseaudio

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpulse.so
%attr(755,root,root) %{_libdir}/libpulse-browse.so
%attr(755,root,root) %{_libdir}/libpulse-mainloop-glib.so
%attr(755,root,root) %{_libdir}/libpulse-simple.so
%{_includedir}/pulse
%{_pkgconfigdir}/libpulse.pc
%{_pkgconfigdir}/libpulse-browse.pc
%{_pkgconfigdir}/libpulse-mainloop-glib.pc
%{_pkgconfigdir}/libpulse-simple.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libpulse.a
%{_libdir}/libpulse-browse.a
%{_libdir}/libpulse-mainloop-glib.a
%{_libdir}/libpulse-simple.a
%{_libdir}/libpulsecommon-%{version}.a
%{_libdir}/libpulsecore-%{version}.a
%endif

%files -n vala-libpulse
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libpulse.deps
%{_datadir}/vala/vapi/libpulse.vapi
%{_datadir}/vala/vapi/libpulse-mainloop-glib.deps
%{_datadir}/vala/vapi/libpulse-mainloop-glib.vapi

%files esound-compat
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/esd
%attr(755,root,root) %{_bindir}/esdcompat
%{_mandir}/man1/esdcompat.1*

%files alsa
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/libalsa-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-alsa-card.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-alsa-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-alsa-source.so
%dir %{_datadir}/pulseaudio/alsa-mixer
%dir %{_datadir}/pulseaudio/alsa-mixer/paths
%{_datadir}/pulseaudio/alsa-mixer/paths/*.common
%{_datadir}/pulseaudio/alsa-mixer/paths/*.conf
%dir %{_datadir}/pulseaudio/alsa-mixer/profile-sets
%{_datadir}/pulseaudio/alsa-mixer/profile-sets/*.conf

%files -n udev-pulseaudio-alsa
%defattr(644,root,root,755)
/lib/udev/rules.d/90-pulseaudio.rules

%files bluetooth
%defattr(644,root,root,755)
%attr(4755,root,root) %{_libdir}/pulse/proximity-helper
%attr(755,root,root) %{_libdir}/pulse-*/modules/libbluetooth-ipc.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libbluetooth-sbc.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/libbluetooth-util.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-bluetooth-device.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-bluetooth-discover.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-bluetooth-proximity.so

%files gconf
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse/gconf-helper
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-gconf.so

%files hal
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-hal-detect.so

%files jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-jack-sink.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-jack-source.so
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-jackdbus-detect.so

%if %{with lirc}
%files lirc
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pulse-*/modules/module-lirc.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pulseaudio.spec,v $
Revision 1.91  2011/07/28 11:16:50  baggins
- rel 2
- -hal package does not need hal-libs, it's just a compat stub

Revision 1.90  2011/06/26 11:28:33  qboosh
- updated to 0.9.23
- removed obsolete xcb patch

Revision 1.89  2011/05/28 12:51:08  megabajt
- fixed build with new xcb-util
- release 2

Revision 1.88  2010/11/26 11:55:46  glen
- up to 0.9.22

Revision 1.87  2010/11/13 12:08:50  pawelz
- release 8

Revision 1.86  2010/09/05 07:34:34  qboosh
- libatomic_ops is no longer included by devel headers

Revision 1.85  2010/09/05 07:29:33  qboosh
- release 7

Revision 1.84  2010/09/05 07:29:15  qboosh
- updated deps
- more docs
- moved alsa-mixer files to -alsa (used by libalsautil.so)
- moved udev rules to udev-pulseaudio-alsa subpackage
- moved vapi to vala-libpulse subpackage

Revision 1.83  2010/06/09 15:22:02  shadzik
- better pl,en

Revision 1.82  2010/06/09 14:11:48  glen
- space for readability

Revision 1.81  2010/06/09 13:06:03  baggins
- rel 6
- kill group and user removal from trigger as it may lead to chicken-egg problems

Revision 1.80  2010/06/09 12:34:58  baggins
- renamed standalone to server

Revision 1.79  2010/06/09 12:22:24  baggins
- triggers to kill leftover user and groups from main package

Revision 1.78  2010/06/09 11:57:40  baggins
- rel 5

Revision 1.77  2010/06/09 11:13:21  baggins
- hal is obsolete, use udev

Revision 1.76  2010/06/09 10:33:39  baggins
- build with simple, internal db as default backend for volume settings, gdbm sucks
- split system-wide daemon stuff to -standalone subpackage
- fixed trigger for libs

Revision 1.75  2010/06/08 23:14:39  baggins
- TODO
- cosmetics

Revision 1.74  2010/06/08 23:12:01  baggins
- rel 4
- realtime group is no longer used, remove it
- added pa-machine-id patch
- added gdbm bcond

Revision 1.73  2010/06/03 09:23:08  patrys
- just passing by, killing libtool archives

Revision 1.72  2010/04/10 19:50:11  arekm
- release 3

Revision 1.71  2010/03/15 11:34:02  patrys
- package all files
- rel 2

Revision 1.70  2010/02/21 20:17:02  sparky
- up to 0.9.21; builds

Revision 1.69  2010/02/03 01:08:31  glen
- gcc has epoch

Revision 1.68  2010/02/03 00:30:21  sparky
- dropped BR: PolicyKit-devel, libatomic_ops (gcc 4.1+ builtins are used
  instead), liboil-devel (support dropped)

Revision 1.67  2010/02/02 14:27:28  glen
- release 2

Revision 1.66  2009/11/14 20:15:01  zbyniu
- BR: intltool

Revision 1.65  2009/11/14 17:22:39  w.kier
- missing BR's gettext-devel, openssl-devel, udev-devel added

Revision 1.64  2009/11/12 11:14:56  patrys
- 0.9.20

Revision 1.63  2009/10/26 03:16:33  sls
- rm BR: lynx (seems obsolete)

Revision 1.62  2009/10/25 16:02:46  sls
- BR: alsa-lib-devel >= 1.0.19

Revision 1.61  2009/10/25 15:29:33  sls
- BR: libsndfile-devel >= 1.0.20

Revision 1.60  2009/10/10 20:37:06  patrys
- 0.9.19

Revision 1.59  2009/05/24 16:10:10  patrys
- 0.9.15
- merged from DEVEL

Revision 1.58  2009/04/11 20:49:08  wolvverine
- add S:padevchooser,pavucontrol for Gnome

Revision 1.57.2.1  2009/04/07 10:03:35  patrys
- 0.9.15-test7
- don't use --as-needed as pulse has circular deps to maintain both a stable and an unstable API
- don't build static by default

Revision 1.57  2009/01/21 19:59:11  arekm
- up to 0.9.14

Revision 1.56  2008/11/07 18:33:00  megabajt
- release 2

Revision 1.55  2008/10/18 17:42:52  patrys
- 0.9.13

Revision 1.54  2008/10/14 01:44:57  sls
- BR: speex-devel >= 1:1.2-beta3 (for speexdsp.pc >= 1.2)

Revision 1.53  2008/09/15 20:49:14  qboosh
- (updated) path patch is back (use normalized paths)

Revision 1.52  2008/09/15 19:44:41  qboosh
- order is not random

Revision 1.51  2008/09/14 15:34:16  wolvverine
- up to 0.9.12, STBR

Revision 1.50  2008/09/07 19:14:45  adamg
- release 3 (against libltdl-2.2.6-1)

Revision 1.49  2008/08/31 20:05:32  arekm
- release 2

Revision 1.48  2008/07/24 14:41:17  patrys
- 0.9.11

Revision 1.47  2008/06/14 10:09:09  arekm
- rel 3

Revision 1.46  2008-05-23 13:23:54  pluto
- release 2 for rebuild with new libltdl.

Revision 1.45  2008-04-18 20:49:35  sls
- added TODO

Revision 1.44  2008-04-05 16:26:07  twittner
- rel. 1 - system-wide configuration works

Revision 1.43  2008-04-01 22:46:57  sls
- update name of PolicyKit file
- adapterized

Revision 1.42  2008-04-01 22:36:03  sls
- ver. 0.9.10

Revision 1.41  2008-03-31 15:52:04  twittner
- TODO killed, which means:
  - initscript & sysconfig (copied verbatim from Debian's /etc/default/pulseaudio)
  - pass to configure appropiate user and group names (modeled after Debian's package)
- rel 1.1 because of not tested pulsaudio in system-wide configuration
- consider suid pulseaudio binary, adding `pulse' user to `audio' group

Revision 1.40  2008-02-09 10:41:13  sls
- fixed typo in previous changelog entry

Revision 1.39  2008-02-09 02:10:36  qboosh
- updated to 0.9.9 (fixes CVE-2008-0008)

Revision 1.38  2008-02-04 20:17:47  qboosh
- -devel R: libatomic_ops (because of .la)

Revision 1.37  2008-01-29 20:03:08  hawk
- release 2

Revision 1.36  2007-12-16 16:08:58  sls
- BR: xorg-lib-libSM-devel
- comment about "__make -j1"

Revision 1.35  2007-12-16 10:06:22  qboosh
- updated to 0.9.8
- updated suid patch

Revision 1.34  2007-12-11 19:50:06  sls
- __make -j1 install

Revision 1.33  2007-11-04 13:04:39  qboosh
- separated -esound-compat which C: esound
  (just a dummy stub, running pulseaudio daemon and ignoring all options,
   cannot be general esound replacement)
- GPL/LGPL v2

Revision 1.32  2007/11/02 17:58:14  patrys
- provide esound compatibility wrapper and obsolete esound

Revision 1.31  2007/11/02 17:21:32  patrys
- 0.9.7
- pulsecore no longer shipped in includes
- oss-mmap merged with oss
- added new modules (ladspa, zeroconf-discover, split/remap, session management)

Revision 1.30  2007/09/02 14:03:00  qboosh
- require libatomic_ops with ppc fix

Revision 1.29  2007/08/28 19:46:52  arekm
- rel 2

Revision 1.28  2007/08/18 05:45:52  witekfl
- added bcond_without static_libs

Revision 1.27  2007/05/31 06:33:44  glen
- ac-ppc fails to build :/

Revision 1.26  2007/05/30 21:23:25  qboosh
- sorted BRs

Revision 1.25  2007/05/30 20:12:17  qboosh
- updated 0.9.6 (fixes CVE-2007-1804)
- updated link patch

Revision 1.24  2007/02/24 14:35:08  qrczak
- Simpler building fix: just remove AM_ICONV.

Revision 1.23  2007/02/23 21:55:32  qrczak
- gettextize
- pulseaudio-gettext.patch: use external gettext

Revision 1.22  2007/02/12 22:09:12  glen
- tabs in preamble

Revision 1.21  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.20  2007/01/16 21:40:29  glen
- fix duplicate %descriptions

Revision 1.19  2006/09/16 01:02:26  qboosh
- updated to 0.9.5
- added link,path patches
- separated gconf and hal modules

Revision 1.18  2006/08/26 18:39:16  qboosh
- project Name changed to pulseaudio (following upstream), new URLs
- updated to 0.9.4, updated suid patch; libdir patch obsolete
- added triggers to move config files after upgrade from polypaudio

Revision 1.17  2006/06/03 17:49:40  qboosh
- updated to 0.9.1, updated suid patch
- dropped *.la for modules (no longer needed)

Revision 1.16  2006/05/13 09:59:13  qboosh
- updated to 0.8.1

Revision 1.15  2006/04/23 13:04:20  qboosh
- updated to 0.8, updated suid,libdir patches
- dropped autoreqdep bcond (soname has changed)
- added jack,lirc subpackages

Revision 1.14  2006/03/20 00:27:00  pluto
- libdirs fixed, release 7.

Revision 1.13  2006/02/19 13:38:03  pluto
- release 6.

Revision 1.12  2006/02/18 18:45:16  arekm
- mv ldconfig to -libs

Revision 1.11  2006/02/12 21:48:17  pluto
- xorg modular deps.

Revision 1.10  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.9  2005/04/13 18:21:55  qboosh
- plugins in main package (used by polypaudio daemon),
  client.conf in -libs (used by libpolyp)
- fixed deps

Revision 1.8  2005/04/13 17:34:48  qboosh
- normalize bcond for omitting BC

Revision 1.7  2005/04/13 17:31:05  qboosh
- -libs Conflicts with old base, dropped bogus Obsoletes (broken djurban)

Revision 1.6  2005/04/06 13:53:15  djurban
- separated libs, rel. 4

Revision 1.5  2004/12/27 23:13:20  qboosh
- ugh, added missing defattr; release 3

Revision 1.4  2004/12/21 21:54:11  qboosh
- runtime deps, release 2

Revision 1.3  2004/12/21 21:00:03  qboosh
- disable glib-1.2 lib, more BRs, added -static, separated ALSA stuff
- License is LGPL

Revision 1.2  2004/12/20 20:12:46  qboosh
- pl, cleanups

Revision 1.1  2004/12/17 09:21:01  aredridel
- added
- needs -static
